unit main;

interface

uses
  DataModule, AutoListUtils, AutoStrCtrls,
  SysUtils, Forms, Buttons, StdCtrls, Dialogs, Controls, Classes;

type
  TUserInterface = class(TForm)
    SpeedButton1: TSpeedButton;
    OpenDialog1: TOpenDialog;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Memo1: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    AutoStrComboBox1: TAutoStrComboBox;
    AutoStrComboBox2: TAutoStrComboBox;
    AutoStrLabel1: TAutoStrLabel;
    AutoStrLabel2: TAutoStrLabel;
    AutoStrMemo1: TAutoStrMemo;
    AutoStrMemo2: TAutoStrMemo;
    procedure SpeedButton1Click(Sender: TObject);
    procedure GetLabelOf(Sender: TObject; Iterator: TUtilsStringIterator; var S: String);
    procedure GetDescriptionOf(Sender: TObject; Iterator: TUtilsStringIterator; var S: String);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  UserInterface: TUserInterface;

implementation

{$R *.dfm}

procedure TUserInterface.SpeedButton1Click(Sender: TObject);
begin
  if OpenDialog1.Execute
    then if FileExists (OpenDialog1.FileName)
      then RdfDataModule.ParseFile(OpenDialog1.FileName);
end;

procedure TUserInterface.GetLabelOf(Sender: TObject;
  Iterator: TUtilsStringIterator; var S: String);
begin
  S := RdfDataModule.LabelOf(Iterator.LiteralValue);
end;

procedure TUserInterface.GetDescriptionOf(Sender: TObject;
  Iterator: TUtilsStringIterator; var S: String);
begin
  S := RdfDataModule.DescriptionOf(Iterator.LiteralValue);
end;

end.
