object UserInterface: TUserInterface
  Left = 218
  Top = 141
  BorderStyle = bsDialog
  Caption = 'RDF N-Triples Load and Navigate Example'
  ClientHeight = 404
  ClientWidth = 516
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poDesktopCenter
  PixelsPerInch = 96
  TextHeight = 13
  object SpeedButton1: TSpeedButton
    Left = 488
    Top = 0
    Width = 25
    Height = 25
    Hint = 'open document'
    Glyph.Data = {
      4E010000424D4E01000000000000760000002800000012000000120000000100
      040000000000D800000000000000000000001000000010000000000000000000
      BF0000BF000000BFBF00BF000000BF00BF00BFBF0000C0C0C000808080000000
      FF0000FF000000FFFF00FF000000FF00FF00FFFF0000FFFFFF00333333333333
      3333330000003333333333333333330000003333333333333333330000003800
      000000000003330000003007B7B7B7B7B7B03300000030F07B7B7B7B7B703300
      000030B0B7B7B7B7B7B70300000030FB0B7B7B7B7B7B0300000030BF07B7B7B7
      B7B7B000000030FBF000007B7B7B7000000030BFBFBFBF0000000300000030FB
      FBFBFBFBFB033300000030BFBFBFBFBFBF033300000030FBFBF0000000333300
      0000330000033333333333000000333333333333333333000000333333333333
      333333000000333333333333333333000000}
    ParentShowHint = False
    ShowHint = True
    OnClick = SpeedButton1Click
  end
  object Label11: TLabel
    Left = 8
    Top = 48
    Width = 39
    Height = 13
    Caption = 'Subject:'
  end
  object Label12: TLabel
    Left = 8
    Top = 64
    Width = 48
    Height = 13
    Caption = 'Predicate:'
  end
  object Label13: TLabel
    Left = 8
    Top = 80
    Width = 34
    Height = 13
    Caption = 'Object:'
  end
  object Label14: TLabel
    Left = 8
    Top = 96
    Width = 36
    Height = 13
    Caption = 'Lexical:'
  end
  object Label15: TLabel
    Left = 8
    Top = 112
    Width = 51
    Height = 13
    Caption = 'Language:'
  end
  object Label16: TLabel
    Left = 8
    Top = 128
    Width = 46
    Height = 13
    Caption = 'Datatype:'
  end
  object AutoStrLabel2: TAutoStrLabel
    Left = 64
    Top = 48
    Width = 67
    Height = 13
    AutoSize = True
    Iterator = RdfDataModule.SubjectSrc
  end
  object AutoStrLabel3: TAutoStrLabel
    Left = 64
    Top = 64
    Width = 67
    Height = 13
    AutoSize = True
    Iterator = RdfDataModule.PredicateSrc
  end
  object AutoStrLabel4: TAutoStrLabel
    Left = 64
    Top = 80
    Width = 67
    Height = 13
    AutoSize = True
    Iterator = RdfDataModule.ObjectSrc
  end
  object AutoStrLabel5: TAutoStrLabel
    Left = 64
    Top = 96
    Width = 67
    Height = 13
    AutoSize = True
    Iterator = RdfDataModule.LexicalSrc
  end
  object AutoStrLabel6: TAutoStrLabel
    Left = 64
    Top = 112
    Width = 67
    Height = 13
    AutoSize = True
    Iterator = RdfDataModule.LanguageSrc
  end
  object AutoStrLabel7: TAutoStrLabel
    Left = 64
    Top = 128
    Width = 67
    Height = 13
    AutoSize = True
    Iterator = RdfDataModule.DatatypeSrc
  end
  object AutoStrLabel8: TAutoStrLabel
    Left = 432
    Top = 6
    Width = 67
    Height = 13
    AutoSize = True
    OnGetUserText = AutoStrLabel8GetUserText
  end
  object Memo1: TMemo
    Left = 0
    Top = 275
    Width = 516
    Height = 129
    Align = alBottom
    Lines.Strings = (
      
        'This simple example demonstrates how to load and parse a N-Tripl' +
        'e file into a TRdfMemoryListGraph '
      
        'component, how to navigate it and how to display information abo' +
        'ut the currently active statement. Note '
      
        'that the non-visual RDF components are, for convenience, placed ' +
        'inside a DataModule.'
      ''
      
        'A sample '#39'testfile.nt'#39' N-Triple file is accompanying this exampl' +
        'e programme.'
      ''
      
        'To allow editing an RDF Graph you can modify this example applic' +
        'ation by making the RDF Navigator'#39's edit '
      
        'buttons visible and writing appropriate event handlers for the O' +
        'nAdd and the OnEdit event (deletion is, if '
      'allowed, performed automatically).')
    ReadOnly = True
    TabOrder = 0
  end
  object AbbrCheckBox: TCheckBox
    Left = 8
    Top = 28
    Width = 113
    Height = 17
    Caption = 'Use abbreviations'
    Checked = True
    State = cbChecked
    TabOrder = 1
    OnClick = AbbrCheckBoxClick
  end
  object AutoStrGroupBox1: TAutoStrGroupBox
    Left = 0
    Top = 152
    Width = 516
    Height = 123
    Align = alBottom
    Iterator = RdfDataModule.SubjectLabelSrc
    TabOrder = 2
    object AutoStrMemo1: TAutoStrMemo
      Left = 2
      Top = 15
      Width = 512
      Height = 106
      Align = alClient
      Iterator = RdfDataModule.SubjectCommentSrc
      Lines.Strings = (
        'AutoStrMemo1')
      TabOrder = 0
    end
  end
  object AutoStrTrackBar1: TAutoStrTrackBar
    Left = 112
    Top = 4
    Width = 313
    Height = 17
    Max = 0
    TabOrder = 3
    ThumbLength = 15
    TickMarks = tmBoth
    TickStyle = tsNone
    CanNavigate = True
    Iterator = RdfDataModule.MainSrc
  end
  object AutoStrNavigator1: TAutoStrNavigator
    Left = 0
    Top = 0
    Width = 112
    Height = 25
    Iterator = RdfDataModule.MainSrc
    TabOrder = 4
    VisibleButtons = [nbtFirst, nbtPrior, nbtNext, nbtLast]
  end
  object OpenDialog1: TOpenDialog
    Left = 288
  end
end
