unit main;

interface

uses 
  DataModule, AutoListUtils, AutoStrCtrls,
  SysUtils, Forms, Dialogs, StdCtrls, Buttons, ComCtrls, ExtCtrls, Controls, Classes;

type
  TUserInterface = class(TForm)
    SpeedButton1: TSpeedButton;
    OpenDialog1: TOpenDialog;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Memo1: TMemo;
    AbbrCheckBox: TCheckBox;
    AutoStrGroupBox1: TAutoStrGroupBox;
    AutoStrMemo1: TAutoStrMemo;
    AutoStrLabel2: TAutoStrLabel;
    AutoStrLabel3: TAutoStrLabel;
    AutoStrLabel4: TAutoStrLabel;
    AutoStrLabel5: TAutoStrLabel;
    AutoStrLabel6: TAutoStrLabel;
    AutoStrLabel7: TAutoStrLabel;
    AutoStrTrackBar1: TAutoStrTrackBar;
    AutoStrLabel8: TAutoStrLabel;
    AutoStrNavigator1: TAutoStrNavigator;
    procedure AbbrCheckBoxClick(Sender: TObject);
    procedure AutoStrLabel8GetUserText(Sender: TObject;
      Iterator: TUtilsStringIterator; var S: String);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  UserInterface: TUserInterface;

implementation

{$R *.dfm}

procedure TUserInterface.AbbrCheckBoxClick(Sender: TObject);
begin
  RdfDataModule.UseAbbreviations := (Sender as TCheckBox).Checked;
end;

procedure TUserInterface.AutoStrLabel8GetUserText(Sender: TObject;
  Iterator: TUtilsStringIterator; var S: String);
begin
  S := IntToStr((Sender as TAutoStrLabel).Iterator.Position);
  // This is a trick to use AutoStrLabel8 to show the index number of the
  // currently active statement: We overwrite the string that usually
  // would have been displayed.
end;

procedure TUserInterface.SpeedButton1Click(Sender: TObject);
begin
  if OpenDialog1.Execute
    then if FileExists (OpenDialog1.FileName)
      then RdfDataModule.ParseFile(OpenDialog1.FileName);
end;

end.
